Bug 115864 - Scalability problems with com.arsdigita.sitenode.BasePresentationManager
Scalability problems with com.arsdigita.sitenode.BasePresentationManager
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
5.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-16 13:43 EST by Daniel Berrange
Modified: 2007-04-18 13:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:33:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-02-16 13:43:10 EST
Description of problem:
See:

https://www.redhat.com/archives/redhat-ccm-list/2004-February/msg00029.html

<quote>
Recently we have been doing stress testing and it seems that there is
a major scalability issue
com.arsdigita.sitenode.BasePresentationManager. If you have say for
example 100 sitenodes and each site node has a pretty complex xsl. 
BasePresentationManager will eat up a lot of ram. In our case its 20mb
of xsl on the custom package we have developed.
</quote>

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create many (100's) SiteNode <-> Stylesheet mappings with  same XSL
file path
2. Visit all the sitenodes
3.
  
Actual results:
Out of memory exception

Expected results:
No OOM exception

Additional info:

No longer an issue for Rickshaw out-of-the-box, but should still be
applied for legacy users who upgrade.
Comment 1 Daniel Berrange 2006-09-02 13:33:32 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.